## List of check without parameters (executed if the tag is present)
legacy_checks += [
( ( "check-ssh", "SSH login", True), ['ssh'], ALL_HOSTS ),
( ( "check-http!/", "HTTP Server", True), ['http_only'], ALL_HOSTS ),
( ( "check-https!/", "HTTPs Server", True), ['https_only'], ALL_HOSTS ),
( ( "check-areca", "Areca Status - check_areca", True), ['areca-local'], ALL_HOSTS ),
( ( "check-areca.pl", "Areca Status - check_areca.pl", True), ['areca-local'], ALL_HOSTS ),
( ( "check-areca-vols", "Areca Status - check_areca_vols", True), ['areca-local'], ALL_HOSTS ),
( ( "check-ssh-areca", "Areca Status - check_ssh_areca", True), ['areca'], ALL_HOSTS ),
( ( "check-ssh-areca.pl", "Areca Status - check_ssh_areca.pl", True), ['areca'], ALL_HOSTS ),
( ( "check-ssh-areca-vols", "Areca Status - check_ssh_areca_vols", True), ['areca'], ALL_HOSTS ),
( ( "check-ftp", "FTP", True), ['ftp_only'], ALL_HOSTS ),
]

### NOTE: replace ALL_HOSTS with a list of host names if necessary.
###       This is a list of checks, that need to be tuned / parameterized.
legacy_checks += [
### check-graphite-zload, to use REPLACE: 
###     graphiteservername with the name of the graphite server
( ( "check-graphite-zload!graphiteservername!3.0!4.0", "Graphite Z-Load", True), ['zload'], ALL_HOSTS ),
### check-pgsql, to use REPLACE: 
###     dbname with the name o the database
###     dbuser with the database user
###     dbpass with the database user password
###     5432 with the database port if not default to 5432
( ( "check-pgsql!-d dbname -p 5432 -l dbuser -p dbpass", "PostgresSQL Server", True), ['postgres'], ALL_HOSTS ),
### check-basicauth-mechanism, to use REPLACE:
###     path with the path after the servername to be used fo checking the basic authentication
( ( "check-basicauth-mechanism!/path!-s", "SVN Basic Authentication", True), ['basic_auth'], ALL_HOSTS ),
### check-ftp-auth, to use REPLACE:
###     username with the ftp username
###     password with the ftp user password
( ( "check-ftp-auth!username!password", "FTP with Auth", True), ['ftp-auth'], ALL_HOSTS ),
### check-ftp-auth-down, to use REPLACE:
###     username with the ftp username
###     password with the ftp user password
###     filename_to_download with the the filename you want to test for the download check
( ( "check-ftp-auth-down!username!password!filename_to_download", "FTP with Auth and Download", True), ['ftp-auth-down'], ALL_HOSTS ),
### check_http, to use REPLACE:
###     folder with the folder you want to check
( ( "check-http!/folder/", "HTTP Server Access Directory", True), ['http-folder'], ALL_HOSTS ),
### check_http, to use REPLACE:
###     folder with the folder you want to check
###     file.html with the page you want to check
( ( "check-http!/folder/file.html", "HTTP Server Access Page", True), ['http-folder-file'], ALL_HOSTS ),
### check_http, to use REPLACE:
###     folder with the folder you want to check
###     file.html with the page you want to check
###     port with the port of the http server
( ( "check-http!/folder/file.html -p port", "HTTP Server Access Page and Port", True), ['http-port'], ALL_HOSTS),
### check_sip, to use REPLACE:
###     user with the sip user
###     password the user password
###     port with the port of the http server
( ( "check-sip!user!password!port", "SIP Server", True), ['sip'], ALL_HOSTS ),
]
############################


### Check Dummy to be used when a host is not pingable
extra_host_conf["check_command"] = [
   ( "check-dummy", [ "dummy" ], ALL_HOSTS ),
   ( "check-ssh", [ "ssh_host" ], ALL_HOSTS ),
]

